-----------------------------------------------------------------------------------
-- Addon Name: Dolgubon's Lazy Writ Crafter
-- Creator: Dolgubon (Joseph Heinzle)
-- Addon Ideal: Simplifies Crafting Writs as much as possible
-- Addon Creation Date: March 14, 2016
--
-- File Name: Languages/ru.lua
-- File Description: Russian Localization, @mychaelo (EU)
-- 
-----------------------------------------------------------------------------------

--
--[[
function WritCreater.langParser(str)  -- Optional overwrite function for language translations
	local seperater = "%s+"

	str = string.gsub(str,":"," ")

	local params = {}
	local i = 1
	local searchResult1, searchResult2  = string.find(str,seperater)
	if searchResult1 == 1 then
		str = string.sub(str, searchResult2+1)
		searchResult1, searchResult2  = string.find(str,seperater)
	end

	while searchResult1 do

		params[i] = string.sub(str, 1, searchResult1-1)
		str = string.sub(str, searchResult2+1)
	    searchResult1, searchResult2  = string.find(str,seperater)
	    i=i+1
	end 
	params[i] = str
	return params

end
--]]

WritCreater = WritCreater or {}

local function proper(str)
	if type(str)== "string" then
		return zo_strformat("<<C:1>>",str)
	else
		return str
	end
end

function WritCreater.langWritNames() -- Vital
	local names = {
	["G"] = "заказ",
	[CRAFTING_TYPE_ENCHANTING] = "зачаровател",
	[CRAFTING_TYPE_BLACKSMITHING] = "кузнец",
	[CRAFTING_TYPE_CLOTHIER] = "портн",
	[CRAFTING_TYPE_PROVISIONING] = "снабжен",
	[CRAFTING_TYPE_WOODWORKING] = "столяр",
	[CRAFTING_TYPE_ALCHEMY] = "алхимик",
	[CRAFTING_TYPE_JEWELRYCRAFTING] = "ювелир",
	}
	return names
end

function WritCreater.langMasterWritNames() -- Vital
	local names = {
	["M"] 							= "мастерский",
	["M1"]							= "мастерс",
	[CRAFTING_TYPE_ALCHEMY]			= "отвар",
	[CRAFTING_TYPE_ENCHANTING]		= "глиф",
	[CRAFTING_TYPE_PROVISIONING]	= "пир",
	["plate"]						= "доспехи",
	["tailoring"]					= "шитье",
	["leatherwear"]					= "кожанная одежда",
	["weapon"]						= "оружие",
	["shield"]						= "щит",
	}
return names

end

function WritCreater.writCompleteStrings() -- Vital for translation
	local strings = {
	["place"] = "<Положить предметы в ящик.>",
	["sign"] = "Подписать грузовой манифест",
	["masterPlace"] = "Я закончил",
	["masterSign"] = "<Закончить работу.>", --Завершить задание
	["masterStart"] = "<Принять заказ.>",
	["Rolis Hlaalu"] = "Ролис Хлаалу",
	["Deliver"] = "Доставить",
	}
	return strings
end


function WritCreater.languageInfo() -- Vital

local craftInfo = 
	{
		[ CRAFTING_TYPE_CLOTHIER] = 
		{
			["pieces"] = --exact!!
			{
				[1] = "мантию",
				[2] = "камзол",
				[3] = "ботинки",
				[4] = "перчатки",
				[5] = "головной убор",
				[6] = "брюки",
				[7] = "эполеты",
				[8] = "кушак",
				[9] = "куртку",
				[10]= "сапоги",
				[11]= "наручи",
				[12]= "шлем",
				[13]= "штаны",
				[14]= "оплечье",
				[15]= "пояс",
			},
			["match"] = --exact!!! This is not the material, but rather the prefix the material gives to equipment. e.g. Homespun Robe, Linen Robe
			{
				[1] = "домоткан", --lvtier one of mats
				[2] = "льнян",	--l
				[3] = "хлопков",
				[4] = "атласн",
				[5] = "эбенов",
				[6] = "крешев",
				[7] = "железноткан",
				[8] = "серебрист",
				[9] = "пустоткан",
				[10]= "шелков",
				[11]= "сыромятн",
				[12]= "выделанн",
				[13]= "кожан",
				[14]= "дублен",
				[15]= "шерстян",
				[16]= "бригантинн",
				[17]= "укрепленн",
				[18]= "добротн",
				[19]= "тенев",
				[20]= "карминов",
			},
	
		},
		[CRAFTING_TYPE_BLACKSMITHING] = 
		{
			["pieces"] = --exact!!
			{
				[1] = "топор",
				[2] = "булав",
				[3] = "меч",
				[4] = "секир",
				[5] ="кувалд",
				[6] ="двуруч",
				[7] = "кинжал",
				[8] = "кирас",
				[9] = "сабатоны",
				[10] = "латные перчатки",
				[11] = "тяжелый шлем",
				[12] = "поножи",
				[13] = "наплечники",
				[14] = "ремень",
			},
			["match"] = --exact!!! This is not the material, but rather the prefix the material gives to equipment. e.g. Iron Axe, Steel Axe
			{
				[1] = "железн",
				[2] = "стальн",
				[3] = "орихалков",
				[4] = "двемерск",
				[5] = "эбонитов",
				[6] = "кальциниев",
				[7] = "галатитов",
				[8] = "ртутн",
				[9] = "пустотн",
				[10]= "рубедитов",
			},

		},
		[CRAFTING_TYPE_WOODWORKING] = 
		{
			["pieces"] = --Exact!!!
			{
				[1] = "лук",
				[3] = "огненный",
				[4] = "морозный",
				[5] = "грозовой",
				[6] = "восстан",
				[2] = "щит",
			},
			["match"] = --exact!!! This is not the material, but rather the prefix the material gives to equipment. e.g. Maple Bow. Oak Bow.
			{
				[1] = "кленов",
				[2] =  "дубов",
				[3] =  "буков",
				[4] = "орехов",
				[5] = "тисов",
				[6] =  "березов",
				[7] = "ясенев",
				[8] = "красн",
				[9] = "черн",
				[10] = "багрян",
			},

		},
		[CRAFTING_TYPE_JEWELRYCRAFTING] = 
		{
			["pieces"] = --Exact!!!
			{
				[1] = "кольц",
				[2] = "ожерел",

			},
			["match"] = --exact!!! This is not the material, but rather the prefix the material gives to equipment. e.g. Maple Bow. Oak Bow.
			{
				[1] = "оловянн", -- 1
				[2] = "медн", -- 26
				[3] = "серебрян", -- CP10
				[4] = "электрумн", --CP80
				[5] = "платинов", -- CP150
			},

		},
		[CRAFTING_TYPE_ENCHANTING] = 
		{
			["pieces"] = --exact!!
			{ --{String Identifier, ItemId, positive or negative}
				{"скверны", 45841,2},
				{"болезням", 45841,1},
				{"поглощения запаса сил", 45833,2},
				{"поглощения магии", 45832,2},
				{"поглощения здоровья", 45831,2},
				{"сопротивления холоду",45839,2},
				{"холода",45839,1},
				{"удешевления способностей", 45836,2},
				{"восстановления запаса сил", 45836,1},
				{"закалки", 45842,1},
				{"пробивания", 45842,2},
				{"натиска", 68342,2},
				{"обороны", 68342,1},
				{"охраны",45849,2},
				{"сокрушения",45849,1},
				{"сопротивления яду",45837,2},
				{"яда",45837,1},
				{"снижения маг. урона",45848,2},
				{"увеличения маг. урона",45848,1},
				{"восстановления магии", 45835,1},
				{"удешевления заклинаний", 45835,2},
				{"сопротивления электричеству",45840,2},
				{"электричества",45840,1},
				{"восстановления здоровья",45834,1},
				{"уменьшения здоровья",45834,2},
				{"слабости",45843,2},
				{"силы оружия",45843,1},
				{"усиления зелий",45846,1},
				{"ускорения зелий",45846,2},
				{"сопротивления огню",45838,2},
				{"пламени",45838,1},
				{"снижения физ. урона", 45847,2},
				{"увеличения физ. урона", 45847,1},
				{"запаса сил",45833,1},
				{"здоровья",45831,1},
				{"магии",45832,1}
			},
			["match"] = --exact!!! The names of glyphs. The prefix (in English) So trifling glyph of magicka, for example
			{
				[1] = {"простой", 45855},
				[2] = {"низший",45856},
				[3] = {"слабый",45857},
				[4] = {"небольшой",45806},
				[5] = {"малый",45807},
				[6] = {"маленький",45808},
				[7] = {"умеренный",45809},
				[8] = {"средний",45810},
				[9] = {"сильный",45811},
				[10]= {"мощный",45812},
				[11]= {"большой",45813},
				[12]= {"великий",45814},
				[13]= {"великолепный",45815},
				[14]= {"монументальный",45816},
				[15]= {"превосходный",{68341,68340,},},
				[16]= {"наилучший",{64509,64508,},},
				
			},
			["quality"] = 
			{
				{"обычное",45850},
				{"хорошее",45851},
				{"превосходное",45852},
				{"эпическое",45853},
				{"легендарное",45854},
				{"", 45850} -- default, if nothing is mentioned. Default should be Ta.
			}
		},
	} 

	return craftInfo

end

function WritCreater.masterWritQuality() -- Vital . This is probably not necessary, but it stays for now because it works
	return {{"эпическое",4},{"легендарное",5}}
end




function WritCreater.langEssenceNames() -- Vital

local essenceNames =  
	{
		[1] = "Око", --health
		[2] = "Дени", --stamina
		[3] = "Макко", --magicka
	}
	return essenceNames
end

function WritCreater.langPotencyNames() -- Vital
	--exact!! Also, these are all the positive runestones - no negatives needed.
	local potencyNames = 
	{
		[1] = "Джора", --Lowest potency stone lvl
		[2] = "Пораде",
		[3] = "Джера",
		[4] = "Джеджора",
		[5] = "Одра",
		[6] = "Поджора",
		[7] = "Эдора",
		[8] = "Джейра",
		[9] = "Пора",
		[10]= "Денара",
		[11]= "Рера",
		[12]= "Дерадо",
		[13]= "Рекура",
		[14]= "Кура",
		[15]= "Реджера",
		[16]= "Репора", --v16 potency stone
		
	}
	return potencyNames
end

local enExceptions = {
	["original"]  = {
		[1] = "Добыть",
		[2] = "Доставить",
		[3] = "доставить",
	},
	["corrected"] = {
		[1] = "acquire",
		[2] = "deliver",
		[3] = "deliver",
	},
}

function WritCreater.questExceptions(condition)
	condition = string.gsub(condition, " "," ")
	return condition
end

function WritCreater.enchantExceptions(condition)
	condition = string.gsub(condition, " "," ")
	condition = string.lower(condition)
	for i = 1, #enExceptions["original"] do
		if string.find(condition, enExceptions["original"][i]) then
			condition = string.gsub(condition, enExceptions["original"][i],enExceptions["corrected"][i])
		end
	end
	return condition
end


function WritCreater.langTutorial(i) 
	local t = {
		[5]="Ещё вам стоит знать о следующем.\nКоманда /dailyreset вводится в окне чата, и сообщает,\nсколько осталось времени до ежедневного сброса.",
		[4]="Наконец, вы можете включить или\nвыключить этот аддон для каждой профессии.\nПо умолчанию он включён для всех.\nИзменить это можно в настройках.",
		[3]="Далее, вам стоит выбрать, показывать ли\nэто окошко во время пользования станками.\nЗдесь будет сообщено, сколько материалов потребуется, и сколько у вас имеется.",
		[2]="В первую очередь настроим,\nбудет ли задействован AutoCraft.\nЕсли включить, предметы будут создаваться сразу при посещении станка.",
		[1]="Приветствуем в Dolgubon's Lazy Writ Crafter!\nСперва надо настроить несколько параметров.\nВы можете их поменять в любой\nмомент на экране настроек.",
	}
	return t[i]
end

function WritCreater.langTutorialButton(i,onOrOff) -- sentimental and short please. These must fit on a small button
	local tOn = 
	{
		[1]="Стандартные",
		[2]="Включить",
		[3]="Показывать",
		[4]="Далее",
		[5]="Завершить",
	}
	local tOff=
	{
		[1]="Далее",
		[2]="Выключить",
		[3]="Не показывать",
	}
	if onOrOff then
		return tOn[i]
	else
		return tOff[i]
	end
end

function WritCreater.langStationNames()
	return
	{["Кузница"] = 1, ["Портняжный станок"] = 2, 
	 ["Стол зачарователя"] = 3,["Алхимический стол"] = 4, ["Огонь для приготовления пищи"] = 5, ["Столярный верстак"] = 6, ["Стол ювелира"] = 7, }
end

local function runeMissingFunction (ta,essence,potency)
	local missing = {}
	if not ta["bag"] then
		missing[#missing + 1] = "|rТа|cf60000"
	end
	if not essence["bag"] then
		missing[#missing + 1] =  "|cffcc66"..essence["slot"].."|cf60000"
	end
	if not potency["bag"] then
		missing[#missing + 1] = "|c0066ff"..potency["slot"].."|r"
	end
	local text = ""
	for i = 1, #missing do
		if i ==1 then
			text = "|cf60000Глиф нельзя создать, вам не хватает "..proper(missing[i])
		else
			text = text.." или "..proper(missing[i])
		end
	end
	return text
end

local function dailyResetFunction(till, stamp)
	if till["hour"]==0 then
		if till["minute"]==1 then
			return "1 минута до ежедневного сброса заданий!"
		elseif till["minute"]==0 then
			if stamp==1 then
				return "Ежедневный сброс заданий через "..stamp.." сек.!"
			else
				return "Да сколько можно спрашивать? Сброс заданий уже через секунду!"
			end
		else
			return till["minute"].." мин. до ежедневного сброса заданий!"
		end
	else
		return till["hour"].." ч. "..till["minute"].." мин. до ежедневного сброса"
	end 
end

WritCreater.strings = WritCreater.strings or {}

WritCreater.strings["runeReq"] 					= function (essence, potency) return zo_strformat("|c2dff00Израсходуется 1 |rТа|c2dff00, 1 |cffcc66<<1>>|c2dff00 и 1 |c0066ff<<2>>|r", essence, potency) end
WritCreater.strings["runeMissing"] 				= runeMissingFunction 
WritCreater.strings["notEnoughSkill"]				= "Ваших ремесленных навыков не достаточно для создания требуемых предметов"
WritCreater.strings["smithingMissing"] 			= "\n|cf60000Ваших материалов не достаточно|r"
WritCreater.strings["craftAnyway"] 				= "Всё равно изготовить"
WritCreater.strings["smithingEnough"] 				= "\n|c2dff00У вас хватает материалов|r"
WritCreater.strings["craft"] 						= "|c00ff00Изготовить|r"
WritCreater.strings["crafting"] 					= "|c00ff00Изготавливаю...|r"
WritCreater.strings["craftIncomplete"] 			= "|cf60000Изготовление не закончено.\nНужно больше материалов.|r"
WritCreater.strings["moreStyle"] 					= "|cf60000У вас нет доступных аддону камней стиля.\nПроверьте инвентарь, достижения и настройки|r"
WritCreater.strings["moreStyleSettings"]			= "|cf60000У вас нет доступных аддону камней стиля.\nПожалуй, стоит разрешить больше стилей в настройках.|r"
WritCreater.strings["moreStyleKnowledge"]			= "|cf60000У вас нет доступных аддону камней стиля.\nПожалуй, стоит изучить больше ремесленных стилей.|r"
WritCreater.strings["dailyreset"] 					= dailyResetFunction
WritCreater.strings["complete"] 					= "|c00FF00Заказ изготовлен.|r"
WritCreater.strings["craftingstopped"]				= "Изготовление остановлено. Удостоверьтесь, что аддон создаёт правильный предмет."
WritCreater.strings["smithingReqM"] 				= function (amount, type, more) return zo_strformat( "Израсходуется <<2>> ×<<1>> (|cf60000надо ещё <<3>>|r)" ,amount, type, more) end
WritCreater.strings["smithingReq"] 				= function (amount,type, current) return zo_strformat( "Израсходуется <<2>> ×<<1>> (|c2dff00есть <<3>>|r)"  ,amount, type, current) end
WritCreater.strings["lootReceived"]				= "<<1>> ×<<3>> — положено в рюкзак (есть <<2>>)"
WritCreater.strings["lootReceivedM"]				= "<<1>> — положено в рюкзак"
WritCreater.strings["countSurveys"]				= "Запечатанных заказов: <<1>> шт."
WritCreater.strings["countVouchers"]				= "Запечатанных ремесленных расписок: <<1>> шт."
WritCreater.strings["includesStorage"]				= function(type) local a= {"Исследования", "Мастерские заказы"} a = a[type] return zo_strformat("Учитываются <<1>> в сундуках жилища", a) end
WritCreater.strings["surveys"]						= "Исследования"
WritCreater.strings["sealedWrits"]					= "Запечатанные заказы"
WritCreater.strings["masterWritEnchantToCraft"]	= function(lvl, type, quality, writCraft, writName, generalName) 
										return zo_strformat("<<t:4>> <<t:5>> <<t:6>>: создаётся <<t:1>> Глиф <<t:2>> качества «<<t:3>>»",lvl, type, quality,
											writCraft,writName, generalName) end
WritCreater.strings["masterWritSmithToCraft"]		= masterWritEnchantToCraft
WritCreater.strings["withdrawItem"]				= function(amount, link, remaining) return "Dolgubon's Lazy Writ Crafter вынул "..link.." ×"..amount..". ("..remaining.." в банке)" end -- in Bank for German
WritCreater.strings['fullBag']						= "В вашем рюкзаке нет свободных ячеек. Освободите место."
WritCreater.strings['masterWritSave']				= "Dolgubon's Lazy Writ Crafter уберёг вас от случайного принятия мастерского заказа! Отключить это можно в настройках."
WritCreater.strings['missingLibraries']			= "Dolgubon's Lazy Writ Crafter требует перечисленные далее библиотеки. Скачайте, установите или включите их: "
WritCreater.strings['resetWarningMessageText']		= "Ежедневный сброс ремесленных заданий состоится через <<1>> ч. <<2>> мин.\nНастроить или отключить это уведомление можно в настройках"
WritCreater.strings['resetWarningExampleText']		= "Вот так будет выглядеть уведомление"




WritCreater.optionStrings = WritCreater.optionStrings or {}

WritCreater.optionStrings.nowEditing                   = "Редактируются настройки %s"
WritCreater.optionStrings.accountWide                  = "учётной записи"
WritCreater.optionStrings.characterSpecific            = "этого персонажа"
WritCreater.optionStrings.useCharacterSettings         = "Особые настройки для персонажа"
WritCreater.optionStrings.useCharacterSettingsTooltip  = "Хранить отдельные настройки, специфичные для этого персонажа"
WritCreater.optionStrings["style tooltip"]								= function (styleName, styleStone) return zo_strformat("Разрешить <<1>>, для которого требуется <<2>>, чтобы изготавливать предметы",styleName, styleStone) end 
WritCreater.optionStrings["show craft window"]							= "Показывать окошко изготовления"
WritCreater.optionStrings["show craft window tooltip"]					= "Показывать инфо-окно на экранах станков"
WritCreater.optionStrings["autocraft"]									= "AutoCraft"
WritCreater.optionStrings["autocraft tooltip"]							= "Если включено, предметы будут изготавливаться сразу же при посещении станка. Автоматически включается, если скрыть инфо-окно."
WritCreater.optionStrings["blackmithing"]								= "Кузнечное дело"
WritCreater.optionStrings["blacksmithing tooltip"]						= "Включить поддержку кузнечных заказов"
WritCreater.optionStrings["clothing"]									= "Портняжное дело"
WritCreater.optionStrings["clothing tooltip"]							= "Включить поддержку портняжных заказов"
WritCreater.optionStrings["enchanting"]									= "Зачарование"
WritCreater.optionStrings["enchanting tooltip"]							= "Включить поддержку заказов на зачарование"
WritCreater.optionStrings["alchemy"]									= "Алхимия"
WritCreater.optionStrings["alchemy tooltip"]							= "Включить поддержку алхимических заказов (только на забор готовых изделий из хранилищ)"
WritCreater.optionStrings["provisioning"]								= "Снабжение"
WritCreater.optionStrings["provisioning tooltip"]						= "Включить поддержку кулинарных заказов (только на забор готовых изделий из хранилищ)"
WritCreater.optionStrings["woodworking"]								= "Столярное дело"
WritCreater.optionStrings["woodworking tooltip"]						= "Включить поддержку столярных заказов"
WritCreater.optionStrings["jewelry crafting"]							= "Ювелирное дело"
WritCreater.optionStrings["jewelry crafting tooltip"]					= "Включить поддержку ювелирных заказов"
WritCreater.optionStrings["writ grabbing"]								= "Забирать предметы для заказа"
WritCreater.optionStrings["writ grabbing tooltip"]						= "Вынимать из хранилищ необходимые предметы (корень нирна, Та и прочее)"
WritCreater.optionStrings["style stone menu"]							= "Расходовать камни стилей"
WritCreater.optionStrings["style stone menu tooltip"]					= "Выберите, какие стили будут использованы аддоном"
WritCreater.optionStrings["send data"]									= "Высылать данные о заказах"
WritCreater.optionStrings["send data tooltip"]							= "Высылать данные о наградах, полученных из наградных ящиков. Не отправляется никакой другой информации."
WritCreater.optionStrings["exit when done"]								= "Авто-выход из станка"
WritCreater.optionStrings["exit when done tooltip"]						= "Автоматически закрывать экран изготовления после выполнения заказа"
WritCreater.optionStrings["automatic complete"]							= "Пропускать диалоги"
WritCreater.optionStrings["automatic complete tooltip"]					= "Автоматически принимать заказы и сдавать готовые изделия"
WritCreater.optionStrings["new container"]								= "Сохранять метку новизны"
WritCreater.optionStrings["new container tooltip"]						= "Сохранять метку новизны для контейнеров с наградами"
WritCreater.optionStrings["master"]										= "Мастерские заказы"
WritCreater.optionStrings["master tooltip"]								= "Если включено, аддон будет автоматически выполнять активные мастерские заказы"
WritCreater.optionStrings["right click to craft"]						= "Изготовить правой кнопкой"
WritCreater.optionStrings["right click to craft tooltip"]				= "Если включено, аддон будет изготавливать предметы для запечатанных заказов, по которым вы щелкнули правой кнопкой"
WritCreater.optionStrings["crafting submenu"]							= "Включить для профессий"
WritCreater.optionStrings["crafting submenu tooltip"]					= "Включить или выключить поддержку отдельных профессий"
WritCreater.optionStrings["timesavers submenu"]							= "Экономия времени"
WritCreater.optionStrings["timesavers submenu tooltip"]					= "Всевозможные автоматизации"
WritCreater.optionStrings["loot container"]								= "Вытряхивать контейнер при получении"
WritCreater.optionStrings["loot container tooltip"]						= "Забирать всё содержимое наградного контейнера при его получении"
WritCreater.optionStrings["master writ saver"]							= "Оберегать мастерские заказы"
WritCreater.optionStrings["master writ saver tooltip"]					= "Блокирует приём мастерских заказов"
WritCreater.optionStrings["loot output"]								= "Уведомлять о ценной добыче"
WritCreater.optionStrings["loot output tooltip"]						= "Выводить сообщение о ценных предметах, полученных из наградного контейнера"
WritCreater.optionStrings["autoloot behaviour"]							= "Поведение автозабора предметов" -- Note that the following three come early in the settings menu, but becuse they were changed
WritCreater.optionStrings["autoloot behaviour tooltip"]					= "Выберите режим работы автоматического забора добычи" -- they are now down below (with untranslated stuff)
WritCreater.optionStrings["autoloot behaviour choices"]					= {"Наследовать параметр в разделе Игровой процесс", "Автозабор", "Отключить автозабор"}
WritCreater.optionStrings["hide when done"]								= "Скрыть по готовности"
WritCreater.optionStrings["hide when done tooltip"]						= "Скрыть окно аддона по окончании создания предметов"
WritCreater.optionStrings['reticleColour']								= "Менять цвет перекрестья"
WritCreater.optionStrings['reticleColourTooltip']						= "Изменять цвет перекрестья в зависимости от готовности/неготовности заказа при нацеливании на станок"
WritCreater.optionStrings['autoCloseBank']								= "Автоматизация банка"
WritCreater.optionStrings['autoCloseBankTooltip']						= "Автоматически входить и выходить из банка, если требуется вынуть предметы"
WritCreater.optionStrings['despawnBanker']								= "Отзывать банкира"
WritCreater.optionStrings['despawnBankerTooltip']						= "Автоматически отключать банкира после выемки необходимых предметов"
WritCreater.optionStrings['dailyResetWarnTime']							= "Минуты до сброса"
WritCreater.optionStrings['dailyResetWarnTimeTooltip']					= "За сколько минут до сброса следует показывать уведомление"
WritCreater.optionStrings['dailyResetWarnType']							= "Предупреждение о ежедневном сбросе"
WritCreater.optionStrings['dailyResetWarnTypeTooltip']					= "Какой тип уведомления показывать при надвигающемся ежедневном сбросе"
WritCreater.optionStrings['dailyResetWarnTypeChoices']					={ "Ничего","Тип 1", "Тип 2", "Тип 3", "Тип 4", "Все"}
WritCreater.optionStrings['stealingProtection']							= "Оберегание от кражи"
WritCreater.optionStrings['stealingProtectionTooltip']					= "Блокирование кражи предметов при нахождении рядом с местом сдачи заказов"
WritCreater.optionStrings['noDELETEConfirmJewelry']						= "Упрощение разбора ювелирных заказов"
WritCreater.optionStrings['noDELETEConfirmJewelryTooltip']				= "Автоматически вставлять DELETE в окно подтверждения разрушения ювелирных заказов"
WritCreater.optionStrings['suppressQuestAnnouncements']					= "Скрывать оповещения ремесленных заданий"
WritCreater.optionStrings['suppressQuestAnnouncementsTooltip']			= "Скрывать текст по центру экрана, уведомляющий о различных этапах прохождения ремесленных заданий"
WritCreater.optionStrings["pet begone"]									= "Скрывать спутников"
WritCreater.optionStrings["pet begone tooltip"]							= "Когда скрывать спутников героя. Спутники могут мешать взаимодействиям, а этот параметр позволит избежать блокировки станков, мест сдачи и т. д. Рекомендуется ставить «Всегда» для альтов-крафтеров."
WritCreater.optionStrings["pet begone choices"]							= {"Никогда", "Всегда", "После принятия задания"}
WritCreater.optionStrings["pet begone warning"]							= "Если включено, вы будете видеть Пакрути. Вы не будете видеть других персонажей или их спутников. При включении персонажи других игроков не исчезнут мгновенно. При выключении они не сразу же появятся. Это не баг, а неизбежные побочные эффекты."


-- What is this??! This is just a fun 'easter egg' that is never activated on easter.
-- Replaces mat names with a random DivineMats on Halloween, New Year's, and April Fools day. You don't need this many! :D
-- Translate it or don't, completely up to you. But if you don't translate it, replace the body of 
-- shouldDivinityprotocolbeactivatednowornotitshouldbeallthetimebutwhateveritlljustbeforabit()
-- with just a return false. (This will prevent it from ever activating. Also, if you're a user and don't like this,
-- you're boring, and also that's how you can disable it. )
local DivineMats =
{
	{"Глаз призрака", "Сердце вампира", "Клык оборотня", "Конфета с сюрпризом", "Отрубленная рука", "Кишка нежити", "Печень летучей мыши", "Мозг ящерицы", "Ведьмин колпак", "Дистилированный вой", "Поющая жаба"},
	{"Sock Puppets", "Jester Hats","Otter Noses", "Red Herrings", "Rotten Tomatoes","Fake Oil of Life", "Crowned Imposters", "Mudpies"},
	{"Фейерверк", "Подарок", "Хлопушка", "Гирлянда", "Шапка деда мороза", "Еловая шишка", "Эссенция времени", "Эфемерное свечение"},
}

-- confetti?
-- random sounds?
-- 

local function shouldDivinityprotocolbeactivatednowornotitshouldbeallthetimebutwhateveritlljustbeforabit()
	if GetDate()%10000 == 1031 then return 1 end
	if GetDate()%10000 == 401 then return 2 end
	if GetDate()%10000 == 1231 then return 3 end
	return false
end



local function wellWeShouldUseADivineMatButWeHaveNoClueWhichOneItIsSoWeNeedToAskTheGodsWhichDivineMatShouldBeUsed() local a= math.random(1, #DivineMats ) return DivineMats[a] end
local l = shouldDivinityprotocolbeactivatednowornotitshouldbeallthetimebutwhateveritlljustbeforabit()

if l then
	DivineMats = DivineMats[l]
	local DivineMat = wellWeShouldUseADivineMatButWeHaveNoClueWhichOneItIsSoWeNeedToAskTheGodsWhichDivineMatShouldBeUsed()

	WritCreater.strings.smithingReqM = function (amount, _,more) return zo_strformat( "Израсходуется <<4>> ×<<1>> (|cf60000надо ещё <<3>>|r)" ,amount, type, more, DivineMat) end
	WritCreater.strings.smithingReqM2 = function (amount, _,more) return zo_strformat( "А также <<4>> ×<<1>> (|cf60000надо ещё <<3>>|r)" ,amount, type, more, DivineMat) end
	WritCreater.strings.smithingReq = function (amount, _,more) return zo_strformat( "Израсходуется <<4>> ×<<1>> (|c2dff00есть <<3>>|r)" ,amount, type, more, DivineMat) end
	WritCreater.strings.smithingReq2 = function (amount, _,more) return zo_strformat( "А также <<4>> ×<<1>> (|c2dff00есть <<3>>|r)" ,amount, type, more, DivineMat) end
end


-- [[ /script local writcreater = {} local c = {a = 1} local g = {__index = c} setmetatable(writ, g) d(a.a) local e = {__index = {Z = 2}} setmetatable(c, e) d(a.Z)
local h = {__index = {}}
local t = {}
local g = {["__index"] = t}
setmetatable(t, h)
setmetatable(WritCreater, g) --]]

local function enableAlternateUniverse(override)

	if shouldDivinityprotocolbeactivatednowornotitshouldbeallthetimebutwhateveritlljustbeforabit() == 2 or override then
	--if true then
		local stations = 
			{"Кузница", "Портняжный станок", "Стол зачарователя",
			"Алхимический стол",  "Огонь для приготовления пищи", "Столярный верстак","Стол ювелира",  "Outfit Station", "Transmute Station", "Wayshrine"}
			local stationNames =  -- in the comments are other names that were also considered, though not all were considered seriously
			{"Wightsmithing Station", -- Popcorn Machine , Skyforge, Heavy Metal Station, Metal Clockwork Solid, Wightsmithing Station., Coyote Stopper
			 "Sock Puppet Theatre", -- Sock Distribution Center, Soul-Shriven Sock Station, Grandma's Sock Knitting Station, Knits and Pieces, Sock Knitting Station
			"Top Hats Inc.", -- Mahjong Station, Magic Store, Card Finder, Five Aces, Top Hat Store
			"Seedy Skooma Bar", -- Chemical Laboratory , Drugstore, White's Garage, Cocktail Bar, Med-Tek Pharmaceutical Company, Med-Tek Laboratories, Skooma Central, Skooma Backdoor Dealers, Sheogorath's Pharmacy
			 "McDaedra Order Kiosk",--"Khajit Fried Chicken", -- Khajit Fried Chicken, soup Kitchen, Some kind of bar, misspelling?, Roast Bosmer
			 "IKEA Assembly Station", -- Chainsaw Massace, Saw Station, Shield Corp, IKEA Assembly Station, Wood Splinter Removal Station
			 "April Fool's Gold",--"Diamond Scam Store", -- Lucy in the Sky, Wedding Planning Hub, Shiny Maker, Oooh Shiny, Shiny Bling Maker, Cubit Zirconia, Rhinestone Palace
			 -- April Fool's Gold
			 "Khajit Fur Trade Outpost", -- Jester Dressing Room Loincloth Shop, Khajit Walk, Khajit Fashion Show, Mummy Maker, Thalmor Spy Agency, Tamriel Catwalk, 
			 --	Tamriel Khajitwalk, second hand warehouse,. Dye for Me, Catfur Jackets, Outfit station "Khajiit Furriers", Khajit Fur Trading Outpost
			 "Sacrificial Goat Altar",-- Heisenberg's Station Correction Facility, Time Machine, Probability Redistributor, Slot Machine Rigger, RNG Countermeasure, Lootcifer Shrine, Whack-a-mole
			 -- Anti Salt Machine, Department of Corrections, Quantum State Rigger , Unnerf Station
			 "TARDIS" } -- Transporter, Molecular Discombobulator, Beamer, Warp Tunnel, Portal, Stargate, Cannon!, Warp Gate
			
			local crafts = {"Blacksmithing", "Clothing", "Enchanting","Alchemy","Provisioning","Woodworking","Jewelry Crafting" }
			local craftNames = {
				"Wightsmithing",
				"Sock Knitting",
				"Top Hat Tricks",
				"Skooma Brewing",
				"McDaedra",--"Chicken Frying",
				"IKEA Assembly",
				"Fool's Gold Creation",
			}
			local quest = {"Blacksmith", "Clothier", "Enchanter" ,"Alchemist", "Provisioner", "Woodworker", "Jewelry Crafting","Provisioner Writ"}
			local questNames = 	
			{
				"Wightsmith",
				"Sock Knitter",
				"Top Hat Trickster",
				"Skooma Brewer",
				"McDaedra",--"Chicken Fryer",
				"IKEA Assembly",
				"Fool's Gold",
				"McDaedra Delivery",
			}
			local items = {"Blacksmith", "Clothier", "Enchanter", "alchemical", "food and drink",  "Woodworker", "Jewelry"}
			local itemNames = {
				"Wight",
				"Sock Puppet",
				"Top Hat",
				"Skooma",
				"McDaedra Nuggets",--"Fried Chicken",
				"IKEA",
				"Fool's Gold",
			}
			local coffers = {"Blacksmith", "Clothier", "Enchanter" ,"Alchemist", "Provisioner's Pack", "Woodworker", "Jewelry Crafter's",}
			local cofferNames = {
				"Wightsmith",
				"Sock Knitter",
				"Top Hat Trickster",
				"Skooma Brewer",
				"McDaedra Takeout",--"Chicken Fryer",
				"IKEA Assembly",
				"Fool's Gold",
			}
			local ones = {"Jewelry Crafter"}
			local oneNames = {"Fool's Gold"}
		

		local t = {["__index"] = {}}
		function h.__index.alternateUniverse()
			return stations, stationNames
		end
		function h.__index.alternateUniverseCrafts()
			return crafts, craftNames
		end
		function h.__index.alternateUniverseQuests()
			return quest, questNames
		end
		function h.__index.alternateUniverseItems()
			return items, itemNames
		end
		function h.__index.alternateUniverseCoffers()
			return coffers, cofferNames
		end
		function h.__index.alternateUniverseOnes()
			return ones, oneNames
		end
		

		h.__metatable = "No looky!"
		local a = WritCreater.langStationNames()
		a[1] = 1
		for i = 1, 7 do
			a[stationNames[i]] = i
		end
		WritCreater.langStationNames = function() 
			return a
		end
		local b =WritCreater.langWritNames()
		for i = 1, 7 do
			b[i] = questNames[i]
		end
		-- WritCreater.langWritNames = function() return b end

	end
end

-- For Transmutation: "Well Fitted Forever"
-- So far, I like blacksmithing, clothing, woodworking, and wayshrine, enchanting
-- that leaves , alchemy, cooking, jewelry, outfits, and transmutation

local lastYearStations = 
{"Blacksmithing Station", "Clothing Station", "Woodworking Station", "Cooking Fire", 
"Enchanting Table", "Alchemy Station", "Outfit Station", "Transmute Station", "Wayshrine"}
local stationNames =  -- in the comments are other names that were also considered, though not all were considered seriously
{"Heavy Metal 112.3 FM", -- Popcorn Machine , Skyforge, Heavy Metal Station
 "Sock Knitting Station", -- Sock Distribution Center, Soul-Shriven Sock Station, Grandma's Sock Knitting Station, Knits and Pieces
 "Splinter Removal Station", -- Chainsaw Massace, Saw Station, Shield Corp, IKEA Assembly Station, Wood Splinter Removal Station
 "McSheo's Food Co.", 
 "Tetris Station", -- Mahjong Station
 "Poison Control Centre", -- Chemical Laboratory , Drugstore, White's Garage, Cocktail Bar, Med-Tek Pharmaceutical Company, Med-Tek Laboratories
 "Thalmor Spy Agency", -- Jester Dressing Room Loincloth Shop, Khajit Walk, Khajit Fashion Show, Mummy Maker, Thalmor Spy Agency, Morag Tong Information Hub, Tamriel Spy HQ, 
 "Department of Corrections",-- Heisenberg's Station Correction Facility, Time Machine, Probability Redistributor, Slot Machine Rigger, RNG Countermeasure, Lootcifer Shrine, Whack-a-mole
 -- Anti Salt Machine, Department of Corrections
 "Warp Gate" } -- Transporter, Molecular Discombobulator, Beamer, Warp Tunnel, Portal, Stargate, Cannon!, Warp Gate

-- enableAlternateUniverse(GetDisplayName()=="@Dolgubon")
enableAlternateUniverse()

local function alternateListener(eventCode,  channelType, fromName, text, isCustomerService, fromDisplayName)
	-- if GetDisplayName() == "@Dolgubon" then
	-- 	d(WritCreater.alternateUniverse)
	-- 	return
	-- end
	if not WritCreater.alternateUniverse and fromDisplayName == "@Dolgubon"and (text == "Let the Isles bleed into Nirn!" or text=="On the Isles, pants are optional!") then	
		-- enableAlternateUniverse(true)	
		-- WritCreater.WipeThatFrownOffYourFace(true)	
	end	
end	
-- 20764
-- 21465

EVENT_MANAGER:RegisterForEvent(WritCreater.name,EVENT_CHAT_MESSAGE_CHANNEL, alternateListener)

--Hide craft window when done
--"Verstecke Fenster anschließend",
-- [tooltip ] = "Verstecke das Writ Crafter Fenster an der Handwerksstation automatisch, nachdem die Gegenstände hergestellt wurden"

function WritCreater.langWritRewardBoxes () return {
	[CRAFTING_TYPE_ALCHEMY] = "Сосуд алхимика",
	[CRAFTING_TYPE_ENCHANTING] = "Сундучок зачарователя",
	[CRAFTING_TYPE_PROVISIONING] = "Сумка снабженца",
	[CRAFTING_TYPE_BLACKSMITHING] = "Ящик кузнеца",
	[CRAFTING_TYPE_CLOTHIER] = "Сумка портного",
	[CRAFTING_TYPE_WOODWORKING] = "Ящик столяра",
	[CRAFTING_TYPE_JEWELRYCRAFTING] = "Шкатулка ювелира",
	[8] = "Партия",
}
end


function WritCreater.getTaString()
	return "Та"
end

WritCreater.optionStrings["alternate universe"] = "Выключить шуточные названия"
WritCreater.optionStrings["alternate universe tooltip"] = "Не переименовывать профессии, станки и дорожные святилища"

WritCreater.lang = "ru"
WritCreater.langIsMasterWritSupported = true

--[[
SLASH_COMMANDS['/opencontainers'] = function()local a=WritCreater.langWritRewardBoxes() for i=1,200 do for j=1,6 do if a[j]==GetItemName(1,i) then if IsProtectedFunction("endUseItem") then
	CallSecureProtected("endUseItem",1,i)
else
	UseItem(1,i)
end end end end end]]
